<!DOCTYPE html>
<html class="writer-html5" lang="fr" >
<head>
  <meta charset="utf-8" /><meta name="generator" content="Docutils 0.18.1: http://docutils.sourceforge.net/" />

  <meta name="viewport" content="width=device-width, initial-scale=1.0" />
  <title>main module &mdash; Documentation calculs-matriciels 1.0.0</title>
      <link rel="stylesheet" href="_static/pygments.css" type="text/css" />
      <link rel="stylesheet" href="_static/css/theme.css" type="text/css" />
  <!--[if lt IE 9]>
    <script src="_static/js/html5shiv.min.js"></script>
  <![endif]-->
  
        <script data-url_root="./" id="documentation_options" src="_static/documentation_options.js"></script>
        <script src="_static/jquery.js"></script>
        <script src="_static/underscore.js"></script>
        <script src="_static/_sphinx_javascript_frameworks_compat.js"></script>
        <script src="_static/doctools.js"></script>
        <script src="_static/translations.js"></script>
    <script src="_static/js/theme.js"></script>
    <link rel="index" title="Index" href="genindex.html" />
    <link rel="search" title="Recherche" href="search.html" />
    <link rel="prev" title="calculs-matriciels" href="modules.html" /> 
</head>

<body class="wy-body-for-nav"> 
  <div class="wy-grid-for-nav">
    <nav data-toggle="wy-nav-shift" class="wy-nav-side">
      <div class="wy-side-scroll">
        <div class="wy-side-nav-search" >
            <a href="index.html" class="icon icon-home"> calculs-matriciels
          </a>
<div role="search">
  <form id="rtd-search-form" class="wy-form" action="search.html" method="get">
    <input type="text" name="q" placeholder="Rechercher docs" />
    <input type="hidden" name="check_keywords" value="yes" />
    <input type="hidden" name="area" value="default" />
  </form>
</div>
        </div><div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="Navigation menu">
              <p class="caption" role="heading"><span class="caption-text">Contents:</span></p>
<ul class="current">
<li class="toctree-l1 current"><a class="reference internal" href="modules.html">calculs-matriciels</a><ul class="current">
<li class="toctree-l2 current"><a class="current reference internal" href="#">main module</a></li>
</ul>
</li>
</ul>

        </div>
      </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap"><nav class="wy-nav-top" aria-label="Mobile navigation menu" >
          <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
          <a href="index.html">calculs-matriciels</a>
      </nav>

      <div class="wy-nav-content">
        <div class="rst-content">
          <div role="navigation" aria-label="Page navigation">
  <ul class="wy-breadcrumbs">
      <li><a href="index.html" class="icon icon-home"></a></li>
          <li class="breadcrumb-item"><a href="modules.html">calculs-matriciels</a></li>
      <li class="breadcrumb-item active">main module</li>
      <li class="wy-breadcrumbs-aside">
            <a href="_sources/main.rst.txt" rel="nofollow"> Afficher la source de la page</a>
      </li>
  </ul>
  <hr/>
</div>
          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
           <div itemprop="articleBody">
             
  <section id="module-main">
<span id="main-module"></span><h1>main module<a class="headerlink" href="#module-main" title="Lien permanent vers cette rubrique"></a></h1>
<dl class="py exception">
<dt class="sig sig-object py" id="main.MatriceDimensionError">
<em class="property"><span class="pre">exception</span><span class="w"> </span></em><span class="sig-prename descclassname"><span class="pre">main.</span></span><span class="sig-name descname"><span class="pre">MatriceDimensionError</span></span><a class="headerlink" href="#main.MatriceDimensionError" title="Lien permanent vers cette définition"></a></dt>
<dd><p>Bases : <code class="xref py py-class docutils literal notranslate"><span class="pre">Exception</span></code></p>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="main.change_valeur">
<span class="sig-prename descclassname"><span class="pre">main.</span></span><span class="sig-name descname"><span class="pre">change_valeur</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">matrice</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">ligne</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">colonne</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">nouvelle_valeur</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#main.change_valeur" title="Lien permanent vers cette définition"></a></dt>
<dd><p>Change la valeur d’un élément spécifique dans une matrice.</p>
<dl class="field-list simple">
<dt class="field-odd">Paramètres<span class="colon">:</span></dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>matrice</strong> – La matrice dans laquelle effectuer le changement.</p></li>
<li><p><strong>ligne</strong> – L’indice de la ligne où effectuer le changement (commence à 0).</p></li>
<li><p><strong>colonne</strong> – L’indice de la colonne où effectuer le changement (commence à 0).</p></li>
<li><p><strong>nouvelle_valeur</strong> – La nouvelle valeur à définir dans la matrice.</p></li>
</ul>
</dd>
<dt class="field-even">Renvoie<span class="colon">:</span></dt>
<dd class="field-even"><p>La matrice modifiée avec la nouvelle valeur.</p>
</dd>
</dl>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="main.dimension_check">
<span class="sig-prename descclassname"><span class="pre">main.</span></span><span class="sig-name descname"><span class="pre">dimension_check</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">matrice1</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">matrice2</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#main.dimension_check" title="Lien permanent vers cette définition"></a></dt>
<dd><p>Vérifie si deux matrices ont la même dimension.</p>
<dl class="field-list simple">
<dt class="field-odd">Paramètres<span class="colon">:</span></dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>matrice1</strong> – La première matrice.</p></li>
<li><p><strong>matrice2</strong> – La deuxième matrice.</p></li>
</ul>
</dd>
<dt class="field-even">Renvoie<span class="colon">:</span></dt>
<dd class="field-even"><p>True si les matrices ont la même dimension, sinon False.</p>
</dd>
</dl>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="main.is_element">
<span class="sig-prename descclassname"><span class="pre">main.</span></span><span class="sig-name descname"><span class="pre">is_element</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">matrice</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">element</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#main.is_element" title="Lien permanent vers cette définition"></a></dt>
<dd><p>Recherche un élément spécifique dans une matrice et renvoie sa position s’il est trouvé.</p>
<dl class="field-list simple">
<dt class="field-odd">Paramètres<span class="colon">:</span></dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>matrice</strong> – La matrice dans laquelle vous recherchez l’élément.</p></li>
<li><p><strong>element</strong> – L’élément que vous recherchez dans la matrice.</p></li>
</ul>
</dd>
<dt class="field-even">Renvoie<span class="colon">:</span></dt>
<dd class="field-even"><p>Un tuple contenant les indices de ligne et de colonne de l’élément s’il est trouvé, sinon None.</p>
</dd>
</dl>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="main.matrice">
<span class="sig-prename descclassname"><span class="pre">main.</span></span><span class="sig-name descname"><span class="pre">matrice</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">nb_lignes</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">nb_colonnes</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#main.matrice" title="Lien permanent vers cette définition"></a></dt>
<dd><p>Crée une matrice vide (liste de listes) de dimensions spécifiées.</p>
<dl class="field-list simple">
<dt class="field-odd">Paramètres<span class="colon">:</span></dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>nb_lignes</strong> – Le nombre de lignes de la matrice.</p></li>
<li><p><strong>nb_colonnes</strong> – Le nombre de colonnes de la matrice.</p></li>
</ul>
</dd>
<dt class="field-even">Renvoie<span class="colon">:</span></dt>
<dd class="field-even"><p>Une matrice initialisée avec des zéros.</p>
</dd>
</dl>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="main.matrice_identite">
<span class="sig-prename descclassname"><span class="pre">main.</span></span><span class="sig-name descname"><span class="pre">matrice_identite</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">taille</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#main.matrice_identite" title="Lien permanent vers cette définition"></a></dt>
<dd><p>Crée une matrice identité carrée de la taille spécifiée.</p>
<dl class="field-list simple">
<dt class="field-odd">Paramètres<span class="colon">:</span></dt>
<dd class="field-odd"><p><strong>taille</strong> – La taille de la matrice identité (nombre de lignes et de colonnes).</p>
</dd>
<dt class="field-even">Renvoie<span class="colon">:</span></dt>
<dd class="field-even"><p>Une matrice identité de la taille spécifiée.</p>
</dd>
</dl>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="main.print_matrice">
<span class="sig-prename descclassname"><span class="pre">main.</span></span><span class="sig-name descname"><span class="pre">print_matrice</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">matrice</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#main.print_matrice" title="Lien permanent vers cette définition"></a></dt>
<dd><p>Affiche une matrice sur la console en utilisant des tabulations pour séparer les éléments.</p>
<dl class="field-list simple">
<dt class="field-odd">Paramètres<span class="colon">:</span></dt>
<dd class="field-odd"><p><strong>matrice</strong> – La matrice que vous souhaitez afficher.</p>
</dd>
</dl>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="main.produit_matriciel">
<span class="sig-prename descclassname"><span class="pre">main.</span></span><span class="sig-name descname"><span class="pre">produit_matriciel</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">matrice1</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">matrice2</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#main.produit_matriciel" title="Lien permanent vers cette définition"></a></dt>
<dd><p>Effectue la multiplication matricielle entre deux matrices si les dimensions sont compatibles.</p>
<dl class="field-list simple">
<dt class="field-odd">Paramètres<span class="colon">:</span></dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>matrice1</strong> – La première matrice à multiplier.</p></li>
<li><p><strong>matrice2</strong> – La deuxième matrice à multiplier.</p></li>
</ul>
</dd>
<dt class="field-even">Renvoie<span class="colon">:</span></dt>
<dd class="field-even"><p>La matrice résultante de la multiplication matricielle.</p>
</dd>
<dt class="field-odd">Lève<span class="colon">:</span></dt>
<dd class="field-odd"><p><a class="reference internal" href="#main.MatriceDimensionError" title="main.MatriceDimensionError"><strong>MatriceDimensionError</strong></a> – Si les dimensions des matrices ne sont pas cohérentes pour la multiplication matricielle.</p>
</dd>
</dl>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="main.produit_scalaire">
<span class="sig-prename descclassname"><span class="pre">main.</span></span><span class="sig-name descname"><span class="pre">produit_scalaire</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">matrice</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">nombre</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#main.produit_scalaire" title="Lien permanent vers cette définition"></a></dt>
<dd><p>Effectue un produit scalaire entre une matrice et un nombre (scalaire).</p>
<dl class="field-list simple">
<dt class="field-odd">Paramètres<span class="colon">:</span></dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>matrice</strong> – La matrice que vous souhaitez multiplier par le nombre.</p></li>
<li><p><strong>nombre</strong> – Le nombre par lequel vous souhaitez multiplier la matrice.</p></li>
</ul>
</dd>
<dt class="field-even">Renvoie<span class="colon">:</span></dt>
<dd class="field-even"><p>La matrice résultante après le produit scalaire.</p>
</dd>
</dl>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="main.somme_matrice">
<span class="sig-prename descclassname"><span class="pre">main.</span></span><span class="sig-name descname"><span class="pre">somme_matrice</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">matrice1</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">matrice2</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#main.somme_matrice" title="Lien permanent vers cette définition"></a></dt>
<dd><p>Calcule la somme de deux matrices si elles ont la même dimension.</p>
<dl class="field-list simple">
<dt class="field-odd">Paramètres<span class="colon">:</span></dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>matrice1</strong> – La première matrice à ajouter.</p></li>
<li><p><strong>matrice2</strong> – La deuxième matrice à ajouter.</p></li>
</ul>
</dd>
<dt class="field-even">Renvoie<span class="colon">:</span></dt>
<dd class="field-even"><p>La matrice résultante qui est la somme des deux matrices.</p>
</dd>
<dt class="field-odd">Lève<span class="colon">:</span></dt>
<dd class="field-odd"><p><a class="reference internal" href="#main.MatriceDimensionError" title="main.MatriceDimensionError"><strong>MatriceDimensionError</strong></a> – Si les dimensions des matrices ne sont pas cohérentes pour l’addition.</p>
</dd>
</dl>
</dd></dl>

</section>


           </div>
          </div>
          <footer><div class="rst-footer-buttons" role="navigation" aria-label="Pied de page">
        <a href="modules.html" class="btn btn-neutral float-left" title="calculs-matriciels" accesskey="p" rel="prev"><span class="fa fa-arrow-circle-left" aria-hidden="true"></span> Précédent</a>
    </div>

  <hr/>

  <div role="contentinfo">
    <p>&#169; Copyright 2023, salaun.</p>
  </div>

  Compilé avec <a href="https://www.sphinx-doc.org/">Sphinx</a> en utilisant un
    <a href="https://github.com/readthedocs/sphinx_rtd_theme">thème</a>
    fourni par <a href="https://readthedocs.org">Read the Docs</a>.
   

</footer>
        </div>
      </div>
    </section>
  </div>
  <script>
      jQuery(function () {
          SphinxRtdTheme.Navigation.enable(true);
      });
  </script> 

</body>
</html>